﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace CoolCode.MultiLanguage.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewData["Message"] = this.Lang("HomeMsg");

            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult ChangeLang(string lang)
        {
            /*记录语言设置到cookies*/
            HttpCookie cookie = new HttpCookie("CoolCode_Lang", lang);
            Response.AppendCookie(cookie);
            /*重定向到上一个Action*/
            return new RedirectResult(this.Request.ServerVariables["HTTP_REFERER"]);
            // return RedirectToAction("Index");

        }


    }



}
